Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gov.nasa.worldwind
Class SelectEvent

    java.lang.Object
      java.util.EventObject
          gov.nasa.worldwind.SelectEvent

All Implemented Interfaces:
  Serializable

    public class SelectEvent

extends EventObject

See Also:
  Serialized Form

Field Summary
`static String` | `DRAG`
`static String` | `HOVER`
`static String` | `LEFT_CLICK`
`static String` | `LEFT_DOUBLE_CLICK`
`static String` | `RIGHT_CLICK`
`static String` | `ROLLOVER`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`SelectEvent(Object source, String eventAction, MouseEvent mouseEvent, PickedObjectList pickedObjects)`

Method Summary
`String` | `getEventAction()`
`MouseEvent` | `getMouseEvent()`
`PickedObjectList` | `getObjects()`
`Object` | `getTopObject()`
`PickedObject` | `getTopPickedObject()`
`boolean` | `hasObjects()`
`String` | `toString()`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DRAG

    public static final String DRAG

See Also:
  Constant Field Values

### HOVER

    public static final String HOVER

See Also:
  Constant Field Values

### LEFT_CLICK

    public static final String LEFT_CLICK

See Also:
  Constant Field Values

### LEFT_DOUBLE_CLICK

    public static final String LEFT_DOUBLE_CLICK

See Also:
  Constant Field Values

### RIGHT_CLICK

    public static final String RIGHT_CLICK

See Also:
  Constant Field Values

### ROLLOVER

    public static final String ROLLOVER

See Also:
  Constant Field Values

Constructor Detail

### SelectEvent

    public SelectEvent(Object source,
                       String eventAction,
                       MouseEvent mouseEvent,
                       PickedObjectList pickedObjects)

Method Detail

### getEventAction

    public String getEventAction()

### getMouseEvent

    public MouseEvent getMouseEvent()

### getObjects

    public PickedObjectList getObjects()

### getTopObject

    public Object getTopObject()

### getTopPickedObject

    public PickedObject getTopPickedObject()

### hasObjects

    public boolean hasObjects()

### toString

    public String toString()

  Overrides:
    `toString` in class `EventObject`

Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD